searchData={"items":[{"type":"module","title":"LiveViewUI.Accordion","doc":"A simple accordion component for dynamically displaying collapsible content panels.","ref":"LiveViewUI.Accordion.html"},{"type":"module","title":"Example Usage - LiveViewUI.Accordion","doc":"Here is a basic example of setting up an accordion with two items:\n\n```elixir\n \n   \n     \n      Accordion Item 1\n     \n     \n       \n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam nec purus nec nunc.\n       \n     \n   \n   \n     \n      Accordion Item 2\n     \n     \n       \n        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam nec purus nec nunc.\n       \n     \n   \n \n```\n\nThis structure allows you to toggle visibility of each content panel, providing a streamlined user experience.","ref":"LiveViewUI.Accordion.html#module-example-usage"},{"type":"function","title":"LiveViewUI.Accordion.content/1","doc":"","ref":"LiveViewUI.Accordion.html#content/1"},{"type":"function","title":"Attributes - LiveViewUI.Accordion.content/1","doc":"* `active` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Accordion.html#content/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Accordion.content/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Accordion.html#content/1-slots"},{"type":"function","title":"LiveViewUI.Accordion.item/1","doc":"","ref":"LiveViewUI.Accordion.html#item/1"},{"type":"function","title":"Attributes - LiveViewUI.Accordion.item/1","doc":"* `id` (`:string`) (required)\n* `active` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Accordion.html#item/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Accordion.item/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Accordion.html#item/1-slots"},{"type":"function","title":"LiveViewUI.Accordion.root/1","doc":"","ref":"LiveViewUI.Accordion.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Accordion.root/1","doc":"* `multiple` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Accordion.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Accordion.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Accordion.html#root/1-slots"},{"type":"function","title":"LiveViewUI.Accordion.trigger/1","doc":"","ref":"LiveViewUI.Accordion.html#trigger/1"},{"type":"function","title":"Attributes - LiveViewUI.Accordion.trigger/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Accordion.html#trigger/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Accordion.trigger/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Accordion.html#trigger/1-slots"},{"type":"module","title":"LiveViewUI.Alert","doc":"A simple alert component for displaying important messages.","ref":"LiveViewUI.Alert.html"},{"type":"module","title":"Example Usage - LiveViewUI.Alert","doc":"Here is a basic example of setting up an alert with a title and description:\n\n```elixir\n \n   \n   Heads up! \n   \n    You can add components to your app using the CLI.\n   \n \n```\n\nThis structure allows you to create styled alert messages with customizable content.","ref":"LiveViewUI.Alert.html#module-example-usage"},{"type":"function","title":"LiveViewUI.Alert.description/1","doc":"","ref":"LiveViewUI.Alert.html#description/1"},{"type":"function","title":"Attributes - LiveViewUI.Alert.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Alert.html#description/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Alert.description/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Alert.html#description/1-slots"},{"type":"function","title":"LiveViewUI.Alert.root/1","doc":"","ref":"LiveViewUI.Alert.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Alert.root/1","doc":"* `cva_class` (`:string`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Alert.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Alert.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Alert.html#root/1-slots"},{"type":"function","title":"LiveViewUI.Alert.title/1","doc":"","ref":"LiveViewUI.Alert.html#title/1"},{"type":"function","title":"Attributes - LiveViewUI.Alert.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Alert.html#title/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Alert.title/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Alert.html#title/1-slots"},{"type":"module","title":"LiveViewUI.Avatar","doc":"A simple avatar component for displaying user profile images with optional fallbacks.","ref":"LiveViewUI.Avatar.html"},{"type":"module","title":"Example Usage - LiveViewUI.Avatar","doc":"Here is a basic example of setting up an avatar with an image and a fallback:\n\n```elixir\n \n   \n   \n     U \n   \n \n```\n\nThis structure allows you to display a user's avatar image with a fallback in case the image is not available.","ref":"LiveViewUI.Avatar.html#module-example-usage"},{"type":"function","title":"LiveViewUI.Avatar.fallback/1","doc":"","ref":"LiveViewUI.Avatar.html#fallback/1"},{"type":"function","title":"Attributes - LiveViewUI.Avatar.fallback/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Avatar.html#fallback/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Avatar.fallback/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Avatar.html#fallback/1-slots"},{"type":"function","title":"LiveViewUI.Avatar.image/1","doc":"","ref":"LiveViewUI.Avatar.html#image/1"},{"type":"function","title":"Attributes - LiveViewUI.Avatar.image/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"src\", \"alt\"]`.","ref":"LiveViewUI.Avatar.html#image/1-attributes"},{"type":"function","title":"LiveViewUI.Avatar.root/1","doc":"","ref":"LiveViewUI.Avatar.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Avatar.root/1","doc":"* `id` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Avatar.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Avatar.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Avatar.html#root/1-slots"},{"type":"module","title":"LiveViewUI.Badge","doc":"A simple badge component for displaying small labels or tags.","ref":"LiveViewUI.Badge.html"},{"type":"module","title":"Example Usage - LiveViewUI.Badge","doc":"Here is a basic example of setting up a badge component:\n\n```elixir\n \n  Default Badge\n \n```\n\nYou can customize the badge with different variants and HTML elements:\n\n```elixir\n \n  Secondary Badge\n \n```","ref":"LiveViewUI.Badge.html#module-example-usage"},{"type":"module","title":"Attributes - LiveViewUI.Badge","doc":"- `:variant` - The style variant of the badge. Available options:\n  - `:default` (default)\n  - `:secondary`\n  - `:destructive`\n  - `:outline`\n- `:as` - The HTML element to use for the badge. Default is `\"span\"`, can be `\"div\"`.\n- `:class` - Additional CSS classes to apply to the badge.\n- `:rest` - Any additional attributes to apply to the badge's root element.","ref":"LiveViewUI.Badge.html#module-attributes"},{"type":"module","title":"Slots - LiveViewUI.Badge","doc":"- `:inner_block` - The content to be displayed inside the badge.","ref":"LiveViewUI.Badge.html#module-slots"},{"type":"function","title":"LiveViewUI.Badge.root/1","doc":"","ref":"LiveViewUI.Badge.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Badge.root/1","doc":"* `cva_class` (`:string`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `as` (`:string`) - Defaults to `\"span\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Badge.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Badge.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Badge.html#root/1-slots"},{"type":"module","title":"LiveViewUI.Button","doc":"A simple button component for interactive actions.","ref":"LiveViewUI.Button.html"},{"type":"module","title":"Example Usage - LiveViewUI.Button","doc":"Here is a basic example of setting up a button component:\n\n```elixir\n \n  Default Button\n \n```\n\nYou can customize the button with different variants, sizes, and HTML elements:\n\n```elixir\n \n  Destructive Button\n \n```","ref":"LiveViewUI.Button.html#module-example-usage"},{"type":"module","title":"Attributes - LiveViewUI.Button","doc":"- `:variant` - The style variant of the button. Available options:\n  - `:default` (default)\n  - `:destructive`\n  - `:outline`\n  - `:outline-secondary`\n  - `:secondary`\n  - `:ghost`\n  - `:link`\n- `:size` - The size of the button. Available options:\n  - `:default` (default)\n  - `:sm`\n  - `:lg`\n  - `:icon`\n- `:type` - The button type attribute (e.g., `\"button\"`, `\"submit\"`).\n- `:class` - Additional CSS classes to apply to the button.\n- `:as` - The HTML element to use for the button. Default is `\"button\"` or can be `\"a\"`.\n- `:rest` - Any additional attributes to apply to the button's root element, including `disabled`, `form`, `name`, and `value`.","ref":"LiveViewUI.Button.html#module-attributes"},{"type":"module","title":"Slots - LiveViewUI.Button","doc":"- `:inner_block` - The content to be displayed inside the button.","ref":"LiveViewUI.Button.html#module-slots"},{"type":"function","title":"LiveViewUI.Button.button_cva/1","doc":"","ref":"LiveViewUI.Button.html#button_cva/1"},{"type":"function","title":"LiveViewUI.Button.get_button_size/0","doc":"","ref":"LiveViewUI.Button.html#get_button_size/0"},{"type":"function","title":"LiveViewUI.Button.get_button_variant/0","doc":"","ref":"LiveViewUI.Button.html#get_button_variant/0"},{"type":"function","title":"LiveViewUI.Button.root/1","doc":"","ref":"LiveViewUI.Button.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Button.root/1","doc":"* `variant` (`:string`) - Defaults to `\"default\"`.\n* `size` (`:string`) - Defaults to `\"default\"`.\n* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:any`) - Defaults to `nil`.\n* `as` (`:string`) - Defaults to `\"button\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"LiveViewUI.Button.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Button.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Button.html#root/1-slots"},{"type":"module","title":"LiveViewUI.Card","doc":"A simple card component for displaying content within a bordered and rounded container.","ref":"LiveViewUI.Card.html"},{"type":"module","title":"Example Usage - LiveViewUI.Card","doc":"Here is a basic example of setting up a card component:\n\n```elixir\n \n   \n     \n      Card Title\n     \n     \n      This is a description of the card.\n     \n   \n   \n     Card content goes here. \n   \n   \n     Footer Button \n   \n \n```","ref":"LiveViewUI.Card.html#module-example-usage"},{"type":"module","title":"Components - LiveViewUI.Card","doc":"- `LiveViewUI.Card.root` - The main container for the card.\n- `LiveViewUI.Card.header` - The header section of the card.\n- `LiveViewUI.Card.title` - The title element within the card header.\n- `LiveViewUI.Card.description` - The description element within the card header.\n- `LiveViewUI.Card.content` - The content section of the card.\n- `LiveViewUI.Card.footer` - The footer section of the card.","ref":"LiveViewUI.Card.html#module-components"},{"type":"module","title":"Attributes - LiveViewUI.Card","doc":"### `LiveViewUI.Card.root`\n- `:class` - Additional CSS classes to apply to the card.\n- `:rest` - Any additional attributes to apply to the card's root element.\n\n### `LiveViewUI.Card.header`\n- `:class` - Additional CSS classes to apply to the header.\n- `:rest` - Any additional attributes to apply to the header's root element.\n\n### `LiveViewUI.Card.title`\n- `:class` - Additional CSS classes to apply to the title.\n- `:rest` - Any additional attributes to apply to the title's root element.\n\n### `LiveViewUI.Card.description`\n- `:class` - Additional CSS classes to apply to the description.\n- `:rest` - Any additional attributes to apply to the description's root element.\n\n### `LiveViewUI.Card.content`\n- `:no_header` - A boolean to specify if the content should have padding at the top. Default is `false`.\n- `:class` - Additional CSS classes to apply to the content.\n- `:rest` - Any additional attributes to apply to the content's root element.\n\n### `LiveViewUI.Card.footer`\n- `:class` - Additional CSS classes to apply to the footer.\n- `:rest` - Any additional attributes to apply to the footer's root element.","ref":"LiveViewUI.Card.html#module-attributes"},{"type":"module","title":"Slots - LiveViewUI.Card","doc":"- `:inner_block` - The content to be displayed inside each section of the card.","ref":"LiveViewUI.Card.html#module-slots"},{"type":"function","title":"LiveViewUI.Card.content/1","doc":"","ref":"LiveViewUI.Card.html#content/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.content/1","doc":"* `no_header` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#content/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.content/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#content/1-slots"},{"type":"function","title":"LiveViewUI.Card.description/1","doc":"","ref":"LiveViewUI.Card.html#description/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#description/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.description/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#description/1-slots"},{"type":"function","title":"LiveViewUI.Card.footer/1","doc":"","ref":"LiveViewUI.Card.html#footer/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#footer/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.footer/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#footer/1-slots"},{"type":"function","title":"LiveViewUI.Card.header/1","doc":"","ref":"LiveViewUI.Card.html#header/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#header/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.header/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#header/1-slots"},{"type":"function","title":"LiveViewUI.Card.root/1","doc":"","ref":"LiveViewUI.Card.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#root/1-slots"},{"type":"function","title":"LiveViewUI.Card.title/1","doc":"","ref":"LiveViewUI.Card.html#title/1"},{"type":"function","title":"Attributes - LiveViewUI.Card.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"LiveViewUI.Card.html#title/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Card.title/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Card.html#title/1-slots"},{"type":"module","title":"LiveViewUI.Error","doc":"A simple error component.","ref":"LiveViewUI.Error.html"},{"type":"function","title":"LiveViewUI.Error.root/1","doc":"","ref":"LiveViewUI.Error.html#root/1"},{"type":"function","title":"Slots - LiveViewUI.Error.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Error.html#root/1-slots"},{"type":"module","title":"LiveViewUI.Helper","doc":"Provides utility functions for handling UI elements within LiveView components.","ref":"LiveViewUI.Helper.html"},{"type":"function","title":"LiveViewUI.Helper.cn/1","doc":"Converts a list of CSS class names into a single string with unique classes only.","ref":"LiveViewUI.Helper.html#cn/1"},{"type":"function","title":"Parameters - LiveViewUI.Helper.cn/1","doc":"- `classes`: A list of strings representing CSS class names, potentially with duplicates.","ref":"LiveViewUI.Helper.html#cn/1-parameters"},{"type":"function","title":"Examples - LiveViewUI.Helper.cn/1","doc":"iex> LiveViewUI.cn([\"button\", \"active\", \"button\"])\n    \"active button\"","ref":"LiveViewUI.Helper.html#cn/1-examples"},{"type":"function","title":"Returns - LiveViewUI.Helper.cn/1","doc":"- A string containing unique class names, sorted and joined by spaces.","ref":"LiveViewUI.Helper.html#cn/1-returns"},{"type":"function","title":"LiveViewUI.Helper.unique_id/0","doc":"Generates a unique identifier for a LiveView component.","ref":"LiveViewUI.Helper.html#unique_id/0"},{"type":"function","title":"Examples - LiveViewUI.Helper.unique_id/0","doc":"# Example of a typical unique identifier output\n    iex> id = LiveViewUI.unique_id()\n    iex> String.starts_with?(id, \"LV\")\n    true\n    iex> byte_size(id)\n    6","ref":"LiveViewUI.Helper.html#unique_id/0-examples"},{"type":"function","title":"Returns - LiveViewUI.Helper.unique_id/0","doc":"- A string starting with \"LV\" followed by a unique alphanumeric sequence.","ref":"LiveViewUI.Helper.html#unique_id/0-returns"},{"type":"module","title":"LiveViewUI.Input","doc":"A simple input component.","ref":"LiveViewUI.Input.html"},{"type":"function","title":"LiveViewUI.Input.root/1","doc":"","ref":"LiveViewUI.Input.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Input.root/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"LiveViewUI.Input.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Input.root/1","doc":"* `inner_block`","ref":"LiveViewUI.Input.html#root/1-slots"},{"type":"function","title":"LiveViewUI.Input.translate_error/1","doc":"","ref":"LiveViewUI.Input.html#translate_error/1"},{"type":"function","title":"LiveViewUI.Input.translate_errors/2","doc":"","ref":"LiveViewUI.Input.html#translate_errors/2"},{"type":"module","title":"LiveViewUI.Label","doc":"A simple label component.","ref":"LiveViewUI.Label.html"},{"type":"function","title":"LiveViewUI.Label.root/1","doc":"","ref":"LiveViewUI.Label.html#root/1"},{"type":"function","title":"Attributes - LiveViewUI.Label.root/1","doc":"* `for` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"for\"]`.","ref":"LiveViewUI.Label.html#root/1-attributes"},{"type":"function","title":"Slots - LiveViewUI.Label.root/1","doc":"* `inner_block` (required)","ref":"LiveViewUI.Label.html#root/1-slots"},{"type":"module","title":"LiveViewUI.ThemeSwitcher","doc":"A module that provides a way to switch between dark mode and light mode.","ref":"LiveViewUI.ThemeSwitcher.html"},{"type":"function","title":"LiveViewUI.ThemeSwitcher.root/1","doc":"","ref":"LiveViewUI.ThemeSwitcher.html#root/1"},{"type":"extras","title":"LiveViewUI","doc":"# LiveViewUI\n\nAdd free, easy-to-customize components to your LiveView apps. Start building your LiveView component library today!\n\n  ⚠️ WARNING:  This package is still in early development. Please do not use it for production or active projects. Contributions are welcome to help make it more stable!","ref":"readme.html"},{"type":"extras","title":"Installation - LiveViewUI","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Prerequisites - LiveViewUI","doc":"Make sure you have tailwindcss installed in your phoenix app.","ref":"readme.html#prerequisites"},{"type":"extras","title":"Step 1: Add the Dependency - LiveViewUI","doc":"Open your Phoenix project and add `live_view_ui` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:live_view_ui, \"~> 0.0.6\"}, # <-- Add this line\n  ]\nend\n```\n\nRun `mix deps.get` to fetch and install the dependencies.","ref":"readme.html#step-1-add-the-dependency"},{"type":"extras","title":"Step 2: Setup - LiveViewUI","doc":"Run the following mix command to copy and install the necessary assets:\n\n```bash\nmix live_view_ui.setup\n```\n\n# Usage\n\nRefer to the [shadcn/ui Themes](https://ui.shadcn.com/themes) to customize the colors to your liking.\n\n# Acknowledgements\n\nThis project is inspired by [shadcn/ui](https://ui.shadcn.com/). Thank you for the amazing work you do!\n\nThank you to [preline](https://preline.co/) for their amazing work on the plugins and components that make this library possible.","ref":"readme.html#step-2-setup"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}